<?php
/**
 * @description Prevents administrators from editing theme and plugin files in the WordPress admin panel.
 */
if (!defined('ABSPATH')) {
    exit;
}

// Get settings
$settings = hosting_security_get_settings();

// Apply feature if enabled
if (!empty($settings['disable-file-editing'])) {
    if (!defined('DISALLOW_FILE_EDIT')) {
        define('DISALLOW_FILE_EDIT', true);
    }
}
?>

